Bug 1297580 - cinder GID is stolen by epmd
cinder GID is stolen by epmd
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
8.0 (Liberty)
x86_64 Linux
urgent Severity urgent
: ga
: 8.0 (Liberty)
Assigned To: hguemar
nlevinki
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 18:06 EST by Emilien Macchi
Modified: 2016-04-26 11:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 03:54:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emilien Macchi 2016-01-11 18:06:28 EST
Currently, cinder packaging does:
useradd -u 165 (...)

But when installing epmd (erlang process), it does:
new user: name=epmd, UID=165, GID=155, home=/tmp, shell=/sbin/nologin

So cinder user is not created.
It's a very recent change in epmd and breaks all versions of Cinder.
If you want to see CI failures:
http://logs.openstack.org/34/266034/1/check/gate-puppet-openstack-integration-scenario001-tempest-dsvm-centos7/372fa3a/logs/syslog.txt.gz

(grep 165 to see outputs).

Note: before, epmq was using GID 106:
http://logs.openstack.org/09/265909/2/check/gate-puppet-openstack-integration-scenario001-tempest-dsvm-centos7/881b87b/logs/syslog.txt.gz
Comment 1 Eric Harney 2016-01-12 11:18:51 EST
Haikel,

The setup package's uidgid file in RHEL indicates that Cinder owns gid 165...?
Comment 2 Eric Harney 2016-01-12 11:24:35 EST
IMO the Cinder package in OSP is correct and we should the epmd package as needed downstream to fix this.
Comment 3 hguemar 2016-01-12 11:26:31 EST
Yes, I discussed this w/ Sergey earlier and we decided that we should do that change.

We're currently discussing within RDO to drop static allocation altogether as we can't prevent similar issues (and Fedora is already recommending to use dynamic allocation).
Comment 5 hguemar 2016-01-14 03:54:22 EST
Change reverted in dist-git.
For RDO, we decided to keep static UID/GID for existing services, new services will use dynamic UID/GID unless required.

Note You need to log in before you can comment on or make changes to this bug.